<html>

<head>
    <title> Task 28.60-(Upgrade task5.20 message to me) </title>
   
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <!-- Có 01 H1, Có 01 ảnh, có 01 label, 01 input text, 
    01 nút ấn, 01 <p> là dòng thông điệp xanh(hiện ra) , 01 bàn tay (hiện ra)-->
    <div class=" container jumbotron">
        <div class="form-group">
            <h1> Chào mừng đến với Devcamp 120 </h1>
            <img src="images/programing.png" width="400px" alt="ảnh lập trình viên">
        </div>
        <div class="form-group">
            <div><label> Gửi cho bạn của 12 tháng tới. </label></div>
            <div><input id="inp-message-to-be-sent" type="text" placeholder="..."></div>
        </div>
        <div class="form-group">
            <button class="btn btn-success" id="btn-send"> Gửi thông điệp </button>
        </div>
        <div class="form-group">
            <p id="p-message-display" class="message-text-display"> Message to display </p>
            <img id="img-hand" src="images/like-yellow-icon.png" width="80px" alt="hand">
        </div>
    </div>
</body>

<script>
    $(document).ready(function () {
        /*
          || Vùng 1: định nghĩa global variables (biến toàn cục)
          */
        const gINP_TEXT_TO_BE_SENT = $("#inp-message-to-be-sent");
        const gP_MESSAGE_DISPLAY = $("#p-message-display");
        const gIMG_HAND = $("#img-hand");

        /*
        || Vùng 2: event handlers - function xử lý sự kiện  
        */onPageLoading();
        $("#btn-send").on('click', onBtnSendClick);
        // hàm xử lý sự kiện onload của trang (khi trang được tải)

        /*
        || Vùng 3: function (hàm) dùng chung
        */
        function onPageLoading() {

            console.log("Subtask 1: load page - Khi load ghi id, và inner html,  value của tất cả ra console");
            console.log("inp-message-to-be-sent ID:" + gINP_TEXT_TO_BE_SENT.attr('id') + "; value: " + gINP_TEXT_TO_BE_SENT.val());
            console.log("p-message-display ID: " + gP_MESSAGE_DISPLAY.attr('id') + " ;inner html: " + gP_MESSAGE_DISPLAY.html());
            console.log("img-hand ID: " + gIMG_HAND.attr('id') + " ;src: " + gIMG_HAND.attr('src'));
            // Ẩn thông điệp xanh, và bàn tay, khi load (f5)
            gP_MESSAGE_DISPLAY.attr('style', 'display:none');
            gIMG_HAND.attr('style', 'display:none');
        }

        function onBtnSendClick() {
            console.log("Nut gửi thông điệp được nhấn");
            console.log("SubTask 2: đọc value từ ô text: " + gINP_TEXT_TO_BE_SENT.val());
            if ($.trim(gINP_TEXT_TO_BE_SENT.val()) === "") {
                alert("Hãy điền message");
            }
            else {
                console.log("SubTask 3:");
                console.log("Điền vào thẻ P phia dưới nút Gửi");
                gP_MESSAGE_DISPLAY.attr('style', "display:block");
                gP_MESSAGE_DISPLAY.attr('style', "color:green");
                gP_MESSAGE_DISPLAY.html(gINP_TEXT_TO_BE_SENT.val());
                gIMG_HAND.attr('style', 'display:block');
            }
        }
        /*
        ||Vùng 4: Hàm dùng chung
        */
    });
</script>

</html>